/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package materialorder

import (
	e "simrs-vx/internal/domain/main-entities/material-order"

	erc "simrs-vx/internal/domain/references/common"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.MaterialOrder) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
		data.Status_Code = erc.DSCNew
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Doctor_Code = inputSrc.Doctor_Code
}
